.b-input-field {
    display: block;
    position: relative;
    width: 100%;
    z-index: 1;

    &__label {
        background-color: $bg;
        font-size: 14px;
        display: inline-block;
        position: absolute;
        left: 15px;
        top: -7px;
        z-index: 2;
        text-transform: uppercase;
        color: $text;
        padding: 0 5px;
    }

    &__input {
        width: 100%;
        height: 50px;
        background-color: transparent;
        border: 1px solid $text;
        padding: 0 15px;
        box-sizing: border-box;
        color: $text;

        &:focus {
            outline: none;
        }
    }
}